Clanbite Social Kit clanbite-social-kit/v1 Since 1.6.2

PATCH | DELETE /wp-json/clanbite-social-kit/v1/comments/(?P<id>\d+)

PATCH

Edit a comment ({ "content": "…" }): its author only.

Access is checked by require_login().

ArgumentTypeDefaultDescription
id requiredinteger

Handled by update_comment()

DELETE

Delete a comment and the replies below it: its author, the post's manager or a site administrator.

Access is checked by require_login().

ArgumentTypeDefaultDescription
id requiredinteger

Handled by delete_comment()

Example

curl -X PATCH 'https://example.com/wp-json/clanbite-social-kit/v1/comments/(?P<id>\d+)'

Defined in inc/Rest/Rest_Controller.php

Changelog

VersionDescription
1.6.2Introduced.